Get skill

Get skill. See the OpenAPI-defined parameters, request body, and responses below.

GET /Skill/{id}

Get skill. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de uma skill especificada pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Skill/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar a skillapplication/json · SkillDto

Example response (200):

{
  "id": 0,
  "tenantId": 0,
  "name": "string",
  "description": "string",
  "content": "string",
  "enabled": true
}

Data models

SkillDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
tenantIdinteger · int32No——
namestringNo—nullable; maxLength: 64
descriptionstringNo—nullable; maxLength: 1024
contentstringNo—nullable
enabledbooleanNo——